"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPlugins = void 0;
const plugin_nprogress_1 = require("@vuepress/plugin-nprogress");
const plugin_palette_1 = require("@vuepress/plugin-palette");
const plugin_prismjs_1 = require("@vuepress/plugin-prismjs");
const plugin_theme_data_1 = require("@vuepress/plugin-theme-data");
const blog_1 = require("./blog");
const getPlugins = (plugins, localeOptions) => {
    const pluginConfig = [
        // @vuepress/plugin-nprogress
        plugins.nprogress !== false ? (0, plugin_nprogress_1.nprogressPlugin)() : [],
        // @vuepress/plugin-palette
        (0, plugin_palette_1.palettePlugin)({ preset: 'sass' }),
        // @vuepress/plugin-prismjs
        plugins.prismjs !== false ? (0, plugin_prismjs_1.prismjsPlugin)() : [],
        // @vuepress/plugin-theme-data
        (0, plugin_theme_data_1.themeDataPlugin)({ themeData: localeOptions }),
        // vuepress-plugin-blog2
        (0, blog_1.getBlogPlugin)(localeOptions, plugins.blog),
        // themeWayWaline({
        //   serverURL: 'https://theme-way-waline-2e8axyq7o-waynian.vercel.app',
        // }),
    ];
    return pluginConfig;
};
exports.getPlugins = getPlugins;
